//
// db_imports.js - import a CSV file into a SQLite3 database
//
// 24 Oct, 2018 by FUJIWARA Teruyoshi <tf@dsl.gr.jp>
//
const fs = require('fs');
const csv = require('csv');
const sqlite3 = require('sqlite3');
var path = require('path');
require('./library.js');
require('./const.js');

if (process.argv.length != 3) {
  console.error("Usage: node db_import.js keyword filename file");
  process.exit(1);
}

const db = db_open();

const parser = csv.parse({trim:true}, (err, data) => {
  data.forEach((element, index, array) => update(element));
  db_close(db);
});

function update(element) {
  if (element.length != 4) {
    console.log('# of elements is invalid: ' + element.length);
  } else {
    db.run('INSERT INTO lifelog VALUES ($e0, $e1, $e2, $e3)',
      {$e0: element[0],
       $e1: element[1],
       $e2: element[2],
       $e3: element[3]},
      (error, row) => {
        if (error) {
          console.error('Error!', error);
        }});
  }         
}

var FILE = path.join(__dirname, process.argv[2]);
fs.createReadStream(FILE).pipe(parser);
