"use strict";

const http = require('http');
const express = require('express');
const bodyParser = require('body-parser');
const sqlite3 = require("sqlite3");
require('date-utils');
require('./library.js');
require('./const.js');

const index = require('./routes/index');
const api = require('./routes/api');
const update = require('./routes/update');
const dl_csv = require('./routes/dl_csv');
const dl_img = require('./routes/dl_img');
const app = express();

var db = db_open();
global.db = db;

app.set('views', `${__dirname}/views`);
app.set('view engine', 'ejs');

app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: false }));

app.use('/', index);
app.use('/api', api);
app.use('/update', update);
app.use('/dl_csv', dl_csv);
app.use('/dl_img', dl_img);
app.use((req, res, next) => {
  res.status('404');
  return res.render('error', {message: '404 Not Found'});
});

process.on('exit', function () {
  console.log('Exiting program...');
  db_close(db);
});

process.on('SIGINT', function () {
    process.exit(0);
});

const server = http.createServer(app);
server.listen('8000');
