"use strict";
const express = require('express');
const router = express.Router();

router.get('/', (req, res, next) => {
  return res.render('update', {});
});

router.post('/post', (req, res, next) => {
  if (!/^[0-9]+(\.[0-9]+)?$/.test(req.body.value)) {
    return res.render('error',{message: 'Bad Input'});
  }
  var ts = req.body.timestamp.split(/\s+/);

  db.run('UPDATE lifelog SET type = $type, value = $value WHERE date = $date AND time = $time',
         {$type: req.body.type,
           $value: req.body.value,
           $date: ts[0],
           $time: ts[1]
           },
         (error, row) => {
           if (error) {
             console.error('Error!', error);
           } else {
             return res.redirect('/update');
           }
         });
});

module.exports = router;
